#ifndef GRAPH_H
#define GRAPH_H

#include <stdio.h>
#include <stdlib.h>
#include "param.h"

typedef struct {
	unsigned dim;	//dimensions of the squared matrix
	unsigned *degcum;	//cumulative degree: (start with 0) length=dim+1
	unsigned *neigh;	//list of neighbors
} sparse;

//compute the maximum of three unsigned
unsigned max3(unsigned,unsigned,unsigned);

sparse* edgelist2sparse(char*);

void printgraphinfo(sparse*);

#endif
