#ifndef PARAM_H
#define PARAM_H

#define NLINKS 100000000 //max number of links: will increase if needed
#define ALPHA 0.01 //restart probability for the rooted pagerank
#define EPS 5e-7 //aproximation for the "push" aproximated pagerank computation
#define MI 1 //10**MI minimum ranking to consider to compute the highest slope
#define MA 4 //10**MA maximum ranking to consider to compute the highest slope
#define NX 2000 //Total number of steps for the slope computation
#define NY 50 //Number of steps for the derivative computation
#define PMIN 0 //Minimum value of the highest slope to find a comunity
#define NCOMS 10000000 //max number of communities: will increase if needed
#define NCPN 10 //max number of community per node: will increase if needed
#define SIM 0.8 //similarity threshold between two communities
#define TIMES 2 //minimal number of times a set of nodes has to be found to be considered as a community
#endif
